﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using C1.Win.C1Schedule.UI;

namespace C1Calendar_Images
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            // Displaying Calendar for a year - disable navigation in calendar
            c1Calendar1.ShowNavigationButtons = false;
            c1Calendar1.MouseWheel += new MouseEventHandler(c1Calendar1_MouseWheel);
            // Add Holidays in the C1Calendar object
            c1Calendar1.CalendarInfo.Holidays.AddRange(new DateTime[] {new DateTime(2012,01,26),
                                              new DateTime(2013,03,08),
                                              new DateTime(2013,04,06),
                                              new DateTime(2013,08,15),
                                              new DateTime(2013,08,20),
                                              new DateTime(2013,10,24),
                                              new DateTime(2012,11,13),
                                              new DateTime(2012,11,15),
                                              new DateTime(2012,11,28),
                                              new DateTime(2012,12,25)});
         }

        void c1Calendar1_MouseWheel(object sender, MouseEventArgs e)
        {
            ((HandledMouseEventArgs)e).Handled = true;
        }

        private void c1Calendar1_Paint(object sender, PaintEventArgs e)
        {
            CalendarTheme t = c1Calendar1.Theme;
            // Assign the Holidays Collection to the Bolded Dates array in the Calendar
            c1Calendar1.BoldedDates = c1Calendar1.CalendarInfo.Holidays.ToArray<DateTime>();
            // Add Background Image to the Bolded Dates Theme in the Calendar Themes
            t[7].BackImage = new Bitmap("../../Resources/Flag_of_India.svg.png");
        }
    }
}
